Bug 74399 - bold isn't visible with default color schemes
bold isn't visible with default color schemes
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
: FutureFeature
: 74779 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-09-23 10:43 EDT by James Antill
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: vte-0.11.10-4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-11 07:17:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Shell script to print text in colors and bold, shows bugs in bold handling (1.87 KB, text/plain)
2002-09-23 10:45 EDT, James Antill
no flags Details

  None (edit)
Description James Antill 2002-09-23 10:43:32 EDT
Description of Problem:
 If you turn on bold, nothing happens.
 If you turn on bold and then change foreground color, just the color is changed.
 If you change color and then turn on bold, you have a bold foreground color (as
you would expect and happened in all previous versions).

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Run attached script

Actual Results:
 Everything is only correct in the rows that change color first.

Expected Results:
 The features get turned on just before each print out, so the last column
should be identical. Also when bold is switched on first, that should do
something :).

Additional Information:
 xterm maps bold to Bright blue (color 4) in the bold only case, but apart from
that has exactly the same problems ... so there may be a problem in ncurses or
the terminfo database ... who knows.
Comment 1 James Antill 2002-09-23 10:45:04 EDT
Created attachment 76884 [details]
Shell script to print text in colors and bold, shows bugs in bold handling
Comment 2 Nalin Dahyabhai 2002-09-25 18:00:00 EDT
What's probably happening is that your foreground color is white, which can't be
made any brighter.  Also, the test script incorrectly resets the bold attribute
by requesting attribute 0 (= reset all attributes).
Comment 3 James Antill 2002-09-25 18:14:28 EDT
 Ok, the test script is wrong as it turns bold off.
 Also, the BOLD does do something ... it's just that with the "colors from
system" (and all other predefined color schemes) you can't see it. If you choose
"custom", then bold will stand out slightly or a lot, depending on the color you
Comment 4 James Antill 2002-10-01 17:10:52 EDT
 Reopened bug, because bold still doesn't work unless you have custom colors ...
and Eg. for green foreground you need an extremely dark green.
Comment 5 Nalin Dahyabhai 2002-10-17 20:44:33 EDT
Bogus bold will be in vte 0.9.2 and later.
Comment 6 Miloslav Trmac 2004-02-07 11:53:45 EST
*** Bug 74779 has been marked as a duplicate of this bug. ***
Comment 7 Miloslav Trmac 2004-03-08 14:40:32 EST
Fix confirmed in vte-0.11.10-4

Note You need to log in before you can comment on or make changes to this bug.